API ReferenceOrganizationsOrganizationidEsps
Create an organization-owned ESP configuration
x-sendlit-apikey<token>
In: header
Path Parameters
organizationId*string
Request Body
application/json
Body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.sendlit.dev/organizations/string/esps" \ -H "Content-Type: application/json" \ -d '{ "provider": "smtp", "host": "string", "port": 1, "secure": true, "name": "string" }'{
"espId": "string",
"name": "string",
"provider": "string",
"host": "string",
"port": 0,
"secure": true,
"username": "string",
"hasPassword": true,
"fromName": "string",
"fromEmail": "string",
"status": "draft",
"secretVersion": 0,
"lastTestedAt": "string",
"lastTestStatus": "success",
"lastTestError": "string",
"activatedAt": "string",
"drainUntil": "string",
"retiredAt": "string",
"updatedAt": "string"
}{
"error": "string"
}{
"error": "string"
}